KMix-15.04.2

Introduction to KMix

The KMix package contains a KF5 based Sound Mixer application.

This package is known to build and work properly using an LFS-7.7 platform.

This package is known to build and work properly using the gcc-5 compiler.

Package Information

KMix Dependencies

Required

KDE Frameworks 5.11.0

Recommended

Optional

libcanberra-0.30 and PulseAudio-6.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kmix5

Installation of KMix

First, fix the CMake search path by running the following command:

sed -i "s:\${ECM_MODULE_PATH}:\${CMAKE_SOURCE_DIR}/cmake/modules &:g" CMakeLists.txt

Install KMix by running the following commands:

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
      -DCMAKE_BUILD_TYPE=Release         \
      -DLIB_INSTALL_DIR=lib              \
      -DBUILD_TESTING=OFF                \
      -DKMIX_KF5_BUILD=1                 \
      -Wno-dev .. &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

-DKMIX_KF5_BUILD=1: This switch is used to ensure that KDE Frameworks 5 based application is built.

Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkdeinit5_kmixctrl.so and libkdeinit5_kmix.so
Installed Directories: $KF5_PREFIX/share/kmix

Last updated on 2014-10-25 18:13:26 +0200